Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.ui.contentassist
Class AbstractAParProposalProvider

    java.lang.Object
      org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
          org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
              org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider
                  org.eclipse.amp.amf.abase.ui.contentassist.AbstractABaseProposalProvider
                      org.eclipse.amp.amf.abase.ui.contentassist.ABaseProposalProvider
                          org.eclipse.amp.amf.parameters.ui.contentassist.AbstractAParProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

Direct Known Subclasses:
  AParProposalProvider

    public class AbstractAParProposalProvider

extends ABaseProposalProvider

Represents a generated, default implementation of interface `IProposalProvider`. Methods are dynamically dispatched on the first parameter, i.e., you can override them with a more concrete subtype.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

Constructor Summary
`AbstractAParProposalProvider()`

Method Summary
`void` | `complete_Import(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `complete_Incorporates(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `complete_Model(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `complete_Parameter(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `complete_SingleParameter(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `complete_SweepLink(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `complete_SweepParameter(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeImport_ImportURI(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeIncorporates_ImportURI(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeModel_Incorporates(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeModel_Model(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeModel_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeModel_Parameters(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeSingleParameter_Attribute(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeSingleParameter_Value(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeSweepLink_Parameters(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeSweepParameter_Attribute(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeSweepParameter_EndValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeSweepParameter_Increment(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` | `completeSweepParameter_StartValue(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`

Methods inherited from class org.eclipse.amp.amf.abase.ui.contentassist.AbstractABaseProposalProvider
`complete_BOOLEAN, complete_BooleanValue, complete_DESC_STRING, complete_INTEGER, complete_IntValue, complete_REAL, complete_RealValue, complete_StringValue, complete_Value, completeBooleanValue_Value, completeIntValue_Value, completeRealValue_Value, completeStringValue_Value`

Methods inherited from class org.eclipse.xtext.common.ui.contentassist.TerminalsProposalProvider
`complete_ANY_OTHER, complete_ID, complete_INT, complete_ML_COMMENT, complete_SL_COMMENT, complete_STRING, complete_WS, doCreateIdProposals, doCreateIntProposals, doCreateStringProposals`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
`completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAParProposalProvider

    public AbstractAParProposalProvider()

Method Detail

### completeModel_Name

    public void completeModel_Name(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.Assignment assignment,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeModel_Model

    public void completeModel_Model(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.Assignment assignment,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeModel_Incorporates

    public void completeModel_Incorporates(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeModel_Parameters

    public void completeModel_Parameters(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.Assignment assignment,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeImport_ImportURI

    public void completeImport_ImportURI(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.Assignment assignment,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeIncorporates_ImportURI

    public void completeIncorporates_ImportURI(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeSingleParameter_Attribute

    public void completeSingleParameter_Attribute(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeSingleParameter_Value

    public void completeSingleParameter_Value(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeSweepParameter_Attribute

    public void completeSweepParameter_Attribute(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeSweepParameter_StartValue

    public void completeSweepParameter_StartValue(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeSweepParameter_EndValue

    public void completeSweepParameter_EndValue(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.Assignment assignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeSweepParameter_Increment

    public void completeSweepParameter_Increment(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### completeSweepLink_Parameters

    public void completeSweepLink_Parameters(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_Model

    public void complete_Model(org.eclipse.emf.ecore.EObject model,
                               org.eclipse.xtext.RuleCall ruleCall,
                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_Import

    public void complete_Import(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.RuleCall ruleCall,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_Incorporates

    public void complete_Incorporates(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.RuleCall ruleCall,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_Parameter

    public void complete_Parameter(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.RuleCall ruleCall,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_SingleParameter

    public void complete_SingleParameter(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_SweepParameter

    public void complete_SweepParameter(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.RuleCall ruleCall,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

### complete_SweepLink

    public void complete_SweepLink(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.RuleCall ruleCall,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD